package com.yihu.jw.restmodel.hospital.survey;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.restmodel.UuidIdentityVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.List;

/**
 * Created by Trick on 2019/9/9.
 */
@ApiModel(value = "WlyySurveyQuestionVO", description = "问卷调查")
public class WlyySurveyQuestionVO extends UuidIdentityVO {


    @ApiModelProperty(value = "问题标题", example = "模块1")
    private String title;//问题标题',
    @ApiModelProperty(value = "问题说明", example = "模块1")
    private String questionComment;//问题说明（可为null）',
    @ApiModelProperty(value = "问题类型（0单选 1多选 2问答", example = "模块1")
    private Integer questionType;//问题类型（0单选 1多选 2问答）',
    @ApiModelProperty(value = "是否必答（0否 1是）", example = "模块1")
    private Integer isRequired;//是否必答（0否 1是）',
    @ApiModelProperty(value = "最小答案个数（多选有效）", example = "模块1")
    private Integer minNum;//最小答案个数（多选有效）',
    @ApiModelProperty(value = "最大答案个数（多选有效）", example = "模块1")
    private Integer maxNum;//最大答案个数（多选有效）',
    @ApiModelProperty(value = "删除标志（1正常，0删除）", example = "模块1")
    private String del;//删除标志（1正常，0删除）',
    @ApiModelProperty(value = "创建时间", example = "模块1")
    private Date createTime;//创建时间',
    @ApiModelProperty(value = "修改时间", example = "模块1")
    private Date updateTime;//修改时间',
    @ApiModelProperty(value = "选项目", example = "模块1")
    private List<WlyySurveyQuestionsOptionVO> optionVOs;
    @ApiModelProperty(value = "创建者code", example = "模块1")
    private String creater;
    @ApiModelProperty(value = "创建者名字", example = "模块1")
    private String createrName;


    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getQuestionComment() {
        return questionComment;
    }

    public void setQuestionComment(String questionComment) {
        this.questionComment = questionComment;
    }

    public Integer getQuestionType() {
        return questionType;
    }

    public void setQuestionType(Integer questionType) {
        this.questionType = questionType;
    }

    public Integer getIsRequired() {
        return isRequired;
    }

    public void setIsRequired(Integer isRequired) {
        this.isRequired = isRequired;
    }

    public Integer getMinNum() {
        return minNum;
    }

    public void setMinNum(Integer minNum) {
        this.minNum = minNum;
    }

    public Integer getMaxNum() {
        return maxNum;
    }

    public void setMaxNum(Integer maxNum) {
        this.maxNum = maxNum;
    }

    public String getDel() {
        return del;
    }

    public void setDel(String del) {
        this.del = del;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public List<WlyySurveyQuestionsOptionVO> getOptionVOs() {
        return optionVOs;
    }

    public void setOptionVOs(List<WlyySurveyQuestionsOptionVO> optionVOs) {
        this.optionVOs = optionVOs;
    }

    public String getCreater() {
        return creater;
    }

    public void setCreater(String creater) {
        this.creater = creater;
    }

    public String getCreaterName() {
        return createrName;
    }

    public void setCreaterName(String createrName) {
        this.createrName = createrName;
    }
}
